Skip to content
View as Markdown

GET List Campaigns​

GET
/campaigns

Retrieve a paginated list of email campaigns. Supports filtering by status, search term, labels, and sorting. Optionally includes campaign statistics.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Query Parameters

searchBy

Search campaigns by title.

Type
string
statuses[]

Filter by campaign statuses.

Type
array
sort_by

Column to sort by.

Type
string
Default
"created_at"
sort_type

Sort direction.

Type
string
Valid values
"ASC""DESC"
Default
"DESC"
with[]

Include related data. Use stats to include campaign statistics and labels.

Type
array
labels[]

Filter by label IDs.

Type
array
per_page

Number of results per page.

Type
integer
Default
15
page

Page number.

Type
integer
Default
1

Responses​

Paginated list of campaigns.

application/json
JSON
{
"campaigns": {
"total": 0,
"per_page": 0,
"current_page": 0,
"last_page": 0,
"data": [
{
"id": 0,
"title": "string",
"slug": "string",
"status": "string",
"template_id": 0,
"email_subject": "string",
"email_pre_header": "string",
"email_body": "string",
"recipients_count": 0,
"utm_status": 0,
"utm_source": "string",
"utm_medium": "string",
"utm_campaign": "string",
"utm_term": "string",
"utm_content": "string",
"design_template": "string",
"scheduled_at": "string",
"settings": {
},
"created_at": "string",
"updated_at": "string"
}
]
}
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI